FAQ
I type



$ perl -MCPAN -e 'install "Gtk2"'



I get these errors (below).



Can someone tell me what I am doing wrong?



Thanks,

Siegfried



CPAN.pm: Going to build T/TS/TSCH/Gtk2-1.081.tar.gz



Can't locate ExtUtils/Depends.pm in @INC (@INC contains: c:/Perl/lib
c:/Perl/si

e/lib .) at (eval 10) line 1.

BEGIN failed--compilation aborted at (eval 10) line 1.



Checking if your kit is complete...

Looks good

MakeMaker FATAL: prerequisites not found (Glib not installed,
ExtUtils::Depends

not installed, ExtUtils::PkgConfig not installed)



Please install these modules first and rerun 'perl
Makefile.PL'.

Running make test

Make had some problems, maybe interrupted? Won't test

Running make install

Make had some problems, maybe interrupted? Won't install

Search Discussions

  • Zentara at May 9, 2005 at 9:37 am

    On Sun, 8 May 2005 23:53:14 -0600, siegfried@heintze.com (Siegfried Heintze) wrote:

    I type
    $ perl -MCPAN -e 'install "Gtk2"'
    I get these errors (below).
    Can someone tell me what I am doing wrong?
    Here is a copy of a post on the gtk2-perl maillist. I havn't
    tried it myself.
    ###########################################################
    From: Gabor Szabo <szabgab@gmail.com>

    For ActiveState users

    * I assume you already have ActiveState Perl installed on your system.
    If not, download and install ActiveState Perl from
    http://activestate.com/Products/ActivePerl/

    * Next you need to install the GTK+ 2.x.x runtime environment. The
    latest version can be downloaded from
    http://gimp-win.sourceforge.net/stable.html

    * Ensure that the <INSTALL_PATH>\GTK\2.0\bin directory is in your
    PATH after this installation.

    * Next you need to install the Win32 binary packages for gtk2-perl.
    Download and install the latest version of Gtk2.ppd and Glib.ppd from
    http://gtk2-perl.sourceforge.net/win32/ppm/
    (Another way to install these ppds is as follows
    C:\Temp> ppm install http://gtk2-perl.sourceforge.net/win32/ppm/Gtk2.ppd
    C:\Temp> ppm install http://gtk2-perl.sourceforge.net/win32/ppm/Glib.ppd
    )

    Your system should be ready to roll !
    #############################################################



    --
    I'm not really a human, but I play one on earth.
    http://zentara.net/japh.html
  • Viren Konde at May 9, 2005 at 10:49 pm
    "zentara" <zentara@highstream.net> wrote in message
    news:1rbu711fhh74ucmsju344giv74s771mh8d@4ax.com...
    On Sun, 8 May 2005 23:53:14 -0600, siegfried@heintze.com (Siegfried
    Heintze) wrote:
    I type
    $ perl -MCPAN -e 'install "Gtk2"'
    I get these errors (below).
    Can someone tell me what I am doing wrong?
    Here is a copy of a post on the gtk2-perl maillist. I havn't
    tried it myself.
    ###########################################################
    From: Gabor Szabo <szabgab@gmail.com>

    For ActiveState users

    * I assume you already have ActiveState Perl installed on your system.
    If not, download and install ActiveState Perl from
    http://activestate.com/Products/ActivePerl/

    * Next you need to install the GTK+ 2.x.x runtime environment. The
    latest version can be downloaded from
    http://gimp-win.sourceforge.net/stable.html

    * Ensure that the <INSTALL_PATH>\GTK\2.0\bin directory is in your
    PATH after this installation.

    * Next you need to install the Win32 binary packages for gtk2-perl.
    Download and install the latest version of Gtk2.ppd and Glib.ppd from
    http://gtk2-perl.sourceforge.net/win32/ppm/
    (Another way to install these ppds is as follows
    C:\Temp> ppm install http://gtk2-perl.sourceforge.net/win32/ppm/Gtk2.ppd
    C:\Temp> ppm install http://gtk2-perl.sourceforge.net/win32/ppm/Glib.ppd
    )

    Your system should be ready to roll !
    #############################################################
    Please let us know, How it works or not!
    I had difficulty using it despite installing the ppd way.
    Thanks,

    --
    I'm not really a human, but I play one on earth.
    http://zentara.net/japh.html

    --
    To unsubscribe, e-mail: beginners-unsubscribe@perl.org
    For additional commands, e-mail: beginners-help@perl.org
    <http://learn.perl.org/> <http://learn.perl.org/first-response>
  • Siegfried Heintze at May 14, 2005 at 5:48 pm
    Woops, I should have read the response to my earlier post (below) before
    making that last post... Sorry...

    Nevertheless: I tried following them and I get the error message "Error:
    Package 'ExeUtils-PackgConfig' not found. Please 'search for this first'.

    Well, I used google and found a copy on CPAN. I tried "perl -MCPAN -e
    'install "ExtUtils-PkgConfig"' and it said to try "i /ExtUtils-PkgCofnig/".
    I don't have an "i" command.

    So I download ExtUtils-PkgConfig from CPAN and ran Makefile.PL. I typed
    nmake and that worked. I typed nmake test and it complained that
    gnome-config not found.

    Gnome sounds like something from Linux....

    What am I doing wrong?

    Thanks,
    Siegfried



    -----Original Message-----
    From: Linux@lists.develooper.com On
    Behalf Of zentara
    Sent: Monday, May 09, 2005 3:39 AM
    To: beginners@perl.org
    Subject: Re: How to install Gtk2 on Windows XP Pro/ActiveState 5.8+?

    On Sun, 8 May 2005 23:53:14 -0600, siegfried@heintze.com (Siegfried
    Heintze) wrote:
    I type
    $ perl -MCPAN -e 'install "Gtk2"'
    I get these errors (below).
    Can someone tell me what I am doing wrong?
    Here is a copy of a post on the gtk2-perl maillist. I havn't
    tried it myself.
    ###########################################################
    From: Gabor Szabo <szabgab@gmail.com>

    For ActiveState users

    * I assume you already have ActiveState Perl installed on your system.
    If not, download and install ActiveState Perl from
    http://activestate.com/Products/ActivePerl/

    * Next you need to install the GTK+ 2.x.x runtime environment. The
    latest version can be downloaded from
    http://gimp-win.sourceforge.net/stable.html

    * Ensure that the <INSTALL_PATH>\GTK\2.0\bin directory is in your
    PATH after this installation.

    * Next you need to install the Win32 binary packages for gtk2-perl.
    Download and install the latest version of Gtk2.ppd and Glib.ppd from
    http://gtk2-perl.sourceforge.net/win32/ppm/
    (Another way to install these ppds is as follows
    C:\Temp> ppm install http://gtk2-perl.sourceforge.net/win32/ppm/Gtk2.ppd
    C:\Temp> ppm install http://gtk2-perl.sourceforge.net/win32/ppm/Glib.ppd
    )

    Your system should be ready to roll !
    #############################################################



    --
    I'm not really a human, but I play one on earth.
    http://zentara.net/japh.html

    --
    To unsubscribe, e-mail: beginners-unsubscribe@perl.org
    For additional commands, e-mail: beginners-help@perl.org
    <http://learn.perl.org/> <http://learn.perl.org/first-response>
  • Zentara at May 15, 2005 at 10:00 am

    On Sat, 14 May 2005 11:45:04 -0600, siegfried@heintze.com (Siegfried Heintze) wrote:

    Woops, I should have read the response to my earlier post (below) before
    making that last post... Sorry...

    Nevertheless: I tried following them and I get the error message "Error:
    Package 'ExeUtils-PackgConfig' not found. Please 'search for this first'.

    Well, I used google and found a copy on CPAN. I tried "perl -MCPAN -e
    'install "ExtUtils-PkgConfig"' and it said to try "i /ExtUtils-PkgCofnig/".
    I don't have an "i" command.

    So I download ExtUtils-PkgConfig from CPAN and ran Makefile.PL. I typed
    nmake and that worked. I typed nmake test and it complained that
    gnome-config not found.

    Gnome sounds like something from Linux....

    What am I doing wrong?
    Using Windows? ;-)

    I mentioned earlier that Gtk2-perl on windows will not be a "walk in the
    park".
    I personally have not even tried it, but I avoid windows in general. :-)
    Gtk2-perl works great on linux.

    Tk comes pre-installed with ActiveState, and I suggest you use it,
    until Gtk2-perl (on windows) becomes better established.

    But if you really want Gtk2 on windows, I suggest going to
    http://mail.gnome.org/mailman/listinfo/gtk-perl-list

    and look thru the archives, or sign up and ask there. Thats where
    ther gtk2-perl people hang out.





    --
    I'm not really a human, but I play one on earth.
    http://zentara.net/japh.html

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
groupbeginners @
categoriesperl
postedMay 9, '05 at 5:53a
activeMay 15, '05 at 10:00a
posts5
users3
websiteperl.org

People

Translate

site design / logo © 2021 Grokbase